=== debian/changelog ===
ros-melodic-openrtm-tools (1.4.3-1stretch) stretch; urgency=high

  * Try to run multiple hrpsys simulation environments (#1054 <https://github.com/start-jsk/rtmros_common/issues/1054>)
    
      * delete unused print
      * fix bug in key existence confirmation
      * allow any port number for nameserver
    
  * Contributors: Yasuhiro Ishiguro

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 19 Apr 2020 15:00:00 -0000

ros-melodic-openrtm-tools (1.4.2-1stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 21 Dec 2017 15:00:00 -0000

ros-melodic-openrtm-tools (1.4.1-1stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 24 Oct 2017 15:00:00 -0000

ros-melodic-openrtm-tools (1.4.0-1stretch) stretch; urgency=high

  * fix code to run both Indido and Kinetic (#1025 <https://github.com/start-jsk/rtmros_common/issues/1025>)
    * add retry=3 to openrtm_tools/test/test-rtmlaunch.test
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 08 Aug 2017 15:00:00 -0000

ros-melodic-openrtm-tools (1.3.3-1stretch) stretch; urgency=high

  * [hrpsys_ros_bridge/launch/hrpsys_ros_bridge.launch, openrtm_tools/src/openrtm_tools/rtmlaunch.py] Add argument to change buffer length of rtmlaunch connection. Set 8 by default (default setting in openrtm). (#980 <https://github.com/start-jsk/rtmros_common/issues/980>)
  * re-enable rosnode_rtc (#961 <https://github.com/start-jsk/rtmros_common/issues/961>)
    * openrtm_tools: find_package openrtm_aist for DEPENDS section in catkin_package
  * Contributors: Kei Okada, Shunichi Nozawa

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 11 Feb 2017 15:00:00 -0000

ros-melodic-openrtm-tools (1.3.2-1stretch) stretch; urgency=high

  * [fix ] Revert "workaround for ros-groovy-rqt-top installs wrong(?) psutil" (#938)  This reverts commit 94975a81eadbf251a85b2fd3c77137b1f96f248b. This closes #936 <https://github.com/start-jsk/rtmros_common/issues/936>
  * [refactor] add more mesage to prevent confusion
  * [refactor] remove old rosbuild files
  * [feat] Enable to set push_policy and push_rate for DataPorts from hrpsys_ros_bridge.launch argument. Use all and 50.0 by default to keep backward compatibility.
  * [feat] Enable to set subscription_type for DataPorts from hrpsys_ros_bridge.launch argument. Use new by default to keep backward compatibility.
  * Contributors: Shunichi Nozawa, Kei Okada, Iori Yanokura

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 25 Apr 2016 15:00:00 -0000

ros-melodic-openrtm-tools (1.3.1-1stretch) stretch; urgency=high

  * deb release only targeting to indigo

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 15 Dec 2015 15:00:00 -0000

ros-melodic-openrtm-tools (1.3.0-1stretch) stretch; urgency=high

  * deb release only targeting to indigo
  * [src/openrtm_tools/rtmlaunch.py] check rtc connection once in rtmlaunch.py when "RTC_CONNECTION_CHECK_ONCE" env is set #834 <https://github.com/start-jsk/rtmros_common/pull/835>
  * [src/openrtm_tools/rtmlaunch.py] update tree to reflesh current status
  * Contributors: Kei Okada, Masaki Murooka

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 08 Dec 2015 15:00:00 -0000

ros-melodic-openrtm-tools (1.2.14-1stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 22 Jun 2015 15:00:00 -0000

ros-melodic-openrtm-tools (1.2.13-1stretch) stretch; urgency=high

  * [src/openrtm_tools/rtmlaunch.py] keep one RTCTree() instance and reflesh when needed, to speedup
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 10 Jun 2015 15:00:00 -0000

ros-melodic-openrtm-tools (1.2.12-1stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 26 Apr 2015 15:00:00 -0000

ros-melodic-openrtm-tools (1.2.11-1stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 24 Apr 2015 15:00:00 -0000

ros-melodic-openrtm-tools (1.2.10-1stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 23 Apr 2015 15:00:00 -0000

ros-melodic-openrtm-tools (1.2.9-1stretch) stretch; urgency=high

  * [openrtm_tools/scripts/rtshell-setup.sh] modify rtmlaunch alias
  * [openrtm_tools/rtmlaunch.py] disable execute bit and remove __main__, we have script/rtmluanch.py for this purpose
  * [src/openrtm_tools/rtmlaunch.py] forget to import signal
  * [openrtm_tools/scripts/rtmluanch.py] forget to import sys
  * [openrtm_tools] create openrtm example program under openrtm_examles to use rosrun command in test code
  * move rtmlaunch/rtmtest from hrpsys_ros_bridge to openrtm_tools, add envhook for catkin users
  * Contributors: Kei Okada, Kunio Kojima

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 10 Apr 2015 15:00:00 -0000

ros-melodic-openrtm-tools (1.2.8-1stretch) stretch; urgency=high

  * [test-*.py] test name could not contain minus? any changet to underscore (http://answers.ros.org/question/197377/rostest-not-finding-the-actual-test/)
  * [FIXME][rtshell-setup.sh] source bash_completion, since shell_suport is not working for now
  * search rtshell path from CMAKE_PREFIX_PATH
  * [openrtm_tools] rtshell-setup.sh: fix shell_support location
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 08 Mar 2015 15:00:00 -0000

ros-melodic-openrtm-tools (1.2.7-1stretch) stretch; urgency=high

  * remove openrtm_aist_python and rtshell from find_package
  * Hide print debug message of replacing of arg tag
  * Add function to replace arg tag by env. SIMULATOR_NAME is replaced by default.
  * Contributors: Kei Okada, Shunichi Nozawa

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 05 Jan 2015 15:00:00 -0000

ros-melodic-openrtm-tools (1.2.6-1stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 09 Oct 2014 15:00:00 -0000

ros-melodic-openrtm-tools (1.2.5-1stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 03 Oct 2014 15:00:00 -0000


