=== debian/control ===
Source: ros-melodic-openrtm-tools
Section: misc
Priority: optional
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-openrtm-aist, ros-melodic-openrtm-aist-python, ros-melodic-rosbash, ros-melodic-rostest, ros-melodic-rtshell
Homepage: http://ros.org/wiki/openrtm_tools
Standards-Version: 3.9.2

Package: ros-melodic-openrtm-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-openrtm-aist, ros-melodic-openrtm-aist-python, ros-melodic-rosbash, ros-melodic-rtshell
Description: The openrtm_tools package
